unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, FileSearch, ComCtrls, ExtCtrls, FileCtrl;

type
  TForm1 = class(TForm)
    btnStartSearch: TButton;
    StatusBar1: TStatusBar;
    Label1: TLabel;
    ListBox1: TListBox;
    txtFileMask: TEdit;
    Label2: TLabel;
    GroupBox1: TGroupBox;
    DriveComboBox1: TDriveComboBox;
    DirectoryListBox1: TDirectoryListBox;
    Panel1: TPanel;
    Label4: TLabel;
    CheckBox1: TCheckBox;
    FileSearch1: TFileSearch;
    procedure btnStartSearchClick(Sender: TObject);
    procedure FileSearch1MatchFound(Sender: TObject; Time, Size,
      Attr: Integer; FileName: String);
    procedure FileSearch1Complete(Sender: TObject);
    procedure FileSearch1Progress(Sender: TObject; SearchDir,
      SearchMask: String);
  private
    { Private declarations }
    procedure UpdateStatusBar(AStatusStr1, AStatusStr2: String);
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.UpdateStatusBar(AStatusStr1, AStatusStr2: String);
begin
  StatusBar1.Panels.Items[0].Text := AStatusStr1;
  StatusBar1.Panels.Items[1].Text := AStatusStr2;
end;

procedure TForm1.btnStartSearchClick(Sender: TObject);
begin
  if txtFileMask.Text <> '' then begin
    ListBox1.Clear;
    FileSearch1.InitialDir := Label4.Caption;
    FileSearch1.FileMask := txtFileMask.Text;
    FileSearch1.SearchSubDirectories := CheckBox1.Checked;
    FileSearch1.Execute;
  end;
end;

procedure TForm1.FileSearch1MatchFound(Sender: TObject; Time, Size,
  Attr: Integer; FileName: String);
begin
  ListBox1.Items.Add(FileName);
end;

procedure TForm1.FileSearch1Complete(Sender: TObject);
begin
  UpdateStatusBar('','Search Complete');
end;

procedure TForm1.FileSearch1Progress(Sender: TObject; SearchDir,
  SearchMask: String);
begin
  UpdateStatusBar(SearchMask,'Searching: '+SearchDir);
end;

end.
